cifti::nifti_2_header Struct Reference

Data structure defining the fields in the nifti2 header. This binary header should be found at the beginning of a valid NIFTI-2 header file. More...

`#include <nifti2.h>`

## Public Attributes

int32_t | sizeof_hdr
char | magic [8]
int16_t | datatype
int16_t | bitpix
int64_t | dim [8]
double | intent_p1
double | intent_p2
double | intent_p3
double | pixdim [8]
int64_t | vox_offset
double | scl_slope
double | scl_inter
double | cal_max
double | cal_min
double | slice_duration
double | toffset
int64_t | slice_start
int64_t | slice_end
char | descrip [80]
char | aux_file [24]
int32_t | qform_code
int32_t | sform_code
double | quatern_b
double | quatern_c
double | quatern_d
double | qoffset_x
double | qoffset_y
double | qoffset_z
double | srow_x [4]
double | srow_y [4]
double | srow_z [4]
int32_t | slice_code
int32_t | xyzt_units
int32_t | intent_code
char | intent_name [16]
char | dim_info
char | unused_str [15]

## Detailed Description

Data structure defining the fields in the nifti2 header. This binary header should be found at the beginning of a valid NIFTI-2 header file.

## Member Data Documentation

## aux_file

char cifti::nifti_2_header::aux_file[24]

auxiliary filename.

## bitpix

int16_t cifti::nifti_2_header::bitpix

Number bits/voxel.

## cal_max

double cifti::nifti_2_header::cal_max

Max display intensity

## cal_min

double cifti::nifti_2_header::cal_min

Min display intensity

## datatype

int16_t cifti::nifti_2_header::datatype

Defines data type!

## descrip

char cifti::nifti_2_header::descrip[80]

any text you like.

## dim

int64_t cifti::nifti_2_header::dim[8]

Data array dimensions.

## dim_info

char cifti::nifti_2_header::dim_info

MRI slice ordering.

## intent_code

int32_t cifti::nifti_2_header::intent_code

NIFTI_INTENT_* code.

## intent_name

char cifti::nifti_2_header::intent_name[16]

'name' or meaning of data.

## intent_p1

double cifti::nifti_2_header::intent_p1

1st intent parameter.

## intent_p2

double cifti::nifti_2_header::intent_p2

2nd intent parameter.

## intent_p3

double cifti::nifti_2_header::intent_p3

3rd intent parameter.

## magic

char cifti::nifti_2_header::magic[8]

MUST be valid signature.

## pixdim

double cifti::nifti_2_header::pixdim[8]

Grid spacings.

## qform_code

int32_t cifti::nifti_2_header::qform_code

NIFTI_XFORM_* code.

## qoffset_x

double cifti::nifti_2_header::qoffset_x

Quaternion x shift.

## qoffset_y

double cifti::nifti_2_header::qoffset_y

Quaternion y shift.

## qoffset_z

double cifti::nifti_2_header::qoffset_z

Quaternion z shift.

## quatern_b

double cifti::nifti_2_header::quatern_b

Quaternion b param.

## quatern_c

double cifti::nifti_2_header::quatern_c

Quaternion c param.

## quatern_d

double cifti::nifti_2_header::quatern_d

Quaternion d param.

## scl_inter

double cifti::nifti_2_header::scl_inter

Data scaling: offset.

## scl_slope

double cifti::nifti_2_header::scl_slope

Data scaling: slope.

## sform_code

int32_t cifti::nifti_2_header::sform_code

NIFTI_XFORM_* code.

## sizeof_hdr

int32_t cifti::nifti_2_header::sizeof_hdr

MUST be 540

## slice_code

int32_t cifti::nifti_2_header::slice_code

Slice timing order.

## slice_duration

double cifti::nifti_2_header::slice_duration

Time for 1 slice.

## slice_end

int64_t cifti::nifti_2_header::slice_end

Last slice index.

## slice_start

int64_t cifti::nifti_2_header::slice_start

First slice index.

## srow_x

double cifti::nifti_2_header::srow_x[4]

1st row affine transform.

## srow_y

double cifti::nifti_2_header::srow_y[4]

2nd row affine transform.

## srow_z

double cifti::nifti_2_header::srow_z[4]

3rd row affine transform.

## toffset

double cifti::nifti_2_header::toffset

Time axis shift.

## unused_str

char cifti::nifti_2_header::unused_str[15]

unused, filled with \0

## vox_offset

int64_t cifti::nifti_2_header::vox_offset

Offset into .nii file

## xyzt_units

int32_t cifti::nifti_2_header::xyzt_units

Units of pixdim[1..4]

The documentation for this struct was generated from the following file:

- nifti2.h